About IconBook

2Beesoft is not aware of any copyright on icons. You can use the icons anyway you like, but some icons contain registered trademarks protected by law. The use of these icons is prohibited. Your registration fee is NOT for the icons, but for the keywords added to the icons, and programming IconBook.

As a programmer I was searching for suitable icons for our applications a lot. Icons enough, but trying to find the right one in a folder or library with 1000 icons is a time consuming business. From just a nice icon library, this program has grown to a very powerful Icon Manager for your system.

  • Search for icons in a library of more then 25.000 icons (32*32 and 16*16) on one or more keywords out of a total of 2000 keywords; within seconds you will find the icon where you were searching for.
  • Scan ANI, CUR, DLL, EXE, ICL and ICO files for icons, even in ZIP archives. IconBook shows all icon formats of an icon.
  • Add references to your icons to IconBook with as many of your own keywords!.
  • View and change any of your systems shortcut, system, cursors and file type icons.
  • Change any folder icon if you have Windows 98 or Internet explorer 4 or higher.
  • Organize your favorite icons into a Favorites section.
  • Create Icons, import BMP, JPG, GIF and WMF picture files or paste them from the clipboard. Define the color which will be transparent, define the hotspot if it’s a cursor. All standard icons sizes and color depths supported. This way you can create your own icons and cursors while using the enhanced tools of your favorite picture editor.
  • Change the icon of any program shortcut just by dragging it and dropping it onto an IconBook icon. Even create new shortcuts by dropping other file types on an IconBook icon.
  • Use Filters to review large quantities of icons. I.e. all 256 color icons or just all icons beginning with a specific character.
  • Save every cursor, icon and animated icon you see. 16-, 256,- and High Color depths are supported. Save as JPG or GIF for use on your web pages. The separate icons from multiple format icons can also be saved.
  • Play the animated icons and adjust the frame refresh rate and playing direction while playing.
  • Add new icon libraries with IconUpdate which will be available on the download page of the IconBook Homepage.
  • Magnify an icon up to 10 times the original size.
  • Use the IconBook Shell Extensions to integrate IconBook with your system for easy operation.

2Beesoft
 www.2beesoft.com


What's New
Version 4.20
  • Additional section which shows all icon formats in one icon. The formats can be saved as a separate ICO, BMP, GIF, JPG or all formats in one ICO again.
  • 5000 icons described by keywords in the 16*16 format. IconBook now supports 32*32 and 16*16 icons. When scanning for icons, only the selected icon format is added to the result window. Each format has it's own (custom) keywords, settings and references section.
Version 4.15
  • Compatible with Windows Millennium Edition
  • Logo and internet addresses changed to www.2beesoft.com.
Fixes build 4.15
  • Change Any Folder always enabled, no check for Windows version 98 or higher of Internet Explorer 4 or higher
  • Some icons came up with no transparency, this has been solved
  • Desktop and Start Menu shortcuts are now retrieved from the Current User and All Users since both are used to build the Desktop and Start Menu shortcuts.
  • Optimized Properties window resulting in error free usage.
  • When saving as a GIF the standard Windows palette was used. This sometimes resulted in optimized dithered GIF icon. IconBook now uses an 256 color palette with an exact match of all colors used (including transparency), thus preventing a dithered image if the icon doesn't exceed 256 colors.
  • In the Windows Add/Remove Programs all IconBook versions were mentioned. Now only IconBook will be mentioned. All other obsolete entries can be removed from the Add/Remove Programs list. Not by de-installation, but by removal of the registry entries by a third party software tool or by hand with Regedit by removing some entries under key HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft
    \Windows\CurrentVersion\Uninstall\. Look for ST6UNST #X where X are the concurrent IconBook installations. Remove all ST6UNST #X Keys with a Subkey DisplayName 'IconBook 4.xx', but not the entry with description 'IconBook'.
Version 4.14
  • Save icons as JPEG (JPG) or transparent CompuServe GIF file for use on web pages!.
  • Scanning for icons now also scans for icon libraries in ZIP archives. All actions can be performed on icons extracted from ZIP files as if they were IconBook icons, except creating References.
  • IconBook comes up with the folder where an icon was last saved when saving icons.
Fixes build 4.14
  • Retrieving the shortcuts from the Desktop sometimes came up 1 short.
  • Correct 'Origin' text when searching for shortcuts on the Desktop and Start Menu.
  • All graphics in this help file show correctly.
  • Canceling a 'Save As' sometimes resulted in saving an icon in the current folder anyway.
Version 4.13
  • Full support for Windows 2000.
  • Create icons in all standard icons sizes (16x16, 24x24, 32,x32, 48x48, 72x72) and color depths (2, 4, 8 ,16, 24 and 32 bit).
  • Help in HTML Help format, better integrated with IconBook.
Fixes build 4.13
  • No error nr. 5 when starting IconBook in Windows 2000.
  • The DLL which makes the shortcuts does not require msvbvm50.dll anymore thus preventing ActiveX errors.
  • Correct detection of Windows custom folder names in non-English Windows versions.
  • The Shortcuts Description is also copied to the new shortcut when changing shortcut icons.
  • Subtimer DLL updated for error free shell extension functioning.
  • Scanning for icons also scans folders with names in capitals.
Version 4.12:
  • New preset searches in the left pane for your system icons, system cursors (including cursor themes), shortcut icons and file type icons. From here any of these icons can be replaced by any icon of your choice by drag & drop, including the cursors.
  • The IconCreator now supports creation of cursors. IconBook will ask you to define the Hotspot while saving cursors up to high color depth.
  • Change Any Folder icon if you have Windows 98 or Internet Explorer 4 or higher.
  • Organize your Favorite icons. Create Favorite icons and place them in folders to categorize your favorites From within IconBook by drag & drop.
  • More Drag & Drop operations are supported. Dropping files and folders from the Windows Explorer onto a white area of the right results pane will let IconBook retrieve any icons present in the folders (and subfolders) and/or files.
  • Add IconBook to the ‘Send To’ menu item, visible when right clicking on files and folders in the Windows Explorer. Only one instance of IconBook will be started and any icons present in the selected folders (and subfolders) and/or files are retrieved by IconBook.
  • The IconBook Icon Properties window is replaced by the standard Windows File Properties where possible.
  • If the results consists of more than one page, a red led will be flashing next to the page numbering to draw your attention to the fact that there are more pages to view.
  • A user definable icon double click action has been added.
  • Start your favorite icon editor with the selected IconBook icon opened.
  • After typing a keyword you can also start searching with <Enter>. IconBook will find the first matching keyword and it’s icons.
  • Specify the Mask color when copying icons to the clipboard. It is not necessary to change the back color of the results pane for this.
  • When changing system, favorite, file type, folder or shortcut icons, IconBook will replace the icon source file with the new one if the old icon resource file was created by IconBook. No unused icon resource files are left on your system.
  • Rebuild the Windows Icon Cache from IconBook.
Fixes build 4.12:
  • Problems with changing back to Windows system default icons have been solved. Especially with Windows NT4.
  • Minor index file improvements.
Fixes build 4.1
  • Associating IconBook with icon libraries has been thoroughly reviewed and improved. I.e. associating IconBook with *.ani, *.ico and *.cur files will still enable you to view the icons and cursors in the Windows Explorer; these are not replaced by the IconBook icon.
Version 4.01
  • New Microsoft Explorer style. View up to 200 icons at a time and sort them like you sort files like in the MS Explorer.
  • The animated icons can now be saved as real ANI’s, so you can use them as an animated cursor.
  • 3000 new high quality icons, almost all 256- and High Color.
  • The Import function of version 3 has been replaced by the IconCreator. You can now paste pictures from the clipboard and save it as a transparent icon.
  • A tree has been added with more preset search groups.
  • File, About... shows the icon resources which are present.
  • IconBook keywords list is updated real time when adding or deleting keywords from the custom keywords list.
  • Extract icons from icon libraries (ANI, CUR, DLL, EXE, ICL ICO) by specific multiple files you select, or by selecting a folder with subfolder. Extracting icons by Folder enables you to set filters to extract icons from the icon library types you want to scan.
  • Associate icon libraries (ANI, CUR, DLL, ICL and ICO) with IconBook. Double-clicking such an icon library in the Windows Explorer will open IconBook with the icons from the icon library.
  • Drop multiple files from the Windows Explorer onto the IconBook shortcut on your desktop and IconBook will start and open the icon dropped libraries.
  • Help file with standard Windows 95/98 Help Contents file.
Fixes build 4.02
  • Right clicking on an icon or white space in the results window will bring up a context sensitive menu like in the Windows Explorer.
  • The results windows gets the focus after a search. The arrow keys and PgUp/PgDn keys can be used immediately to navigate through the icons.
  • When there is an error while starting IconBook, the splash screen will be removed and the error will become visible.
  • Several shortcut keys have been added, i.e. Ctrl+P (previous page) and Ctrl+N (next page).
  • The ‘U’ in the alphabetic preset search tree works correctly.
Fixes build 4.01
  • Only unique icons are shown when using a preset search. Paging now starts at the first page.
  • Menus Go, Home Page and Go, Mail now really go somewhere.
  • Help file and icon index file updated.
  • Zooming of a selected icon now shows with the correct back color.
Fixes version 4.0 pre-release
  • The ‘50003’ error because of an updated OLEAUT32.DLL is solved. Version 4.0 uses the updated dll that comes with the Visual Basic 6.0 runtime in vbrun60.exe, or a newer version in i.e. Microsoft Internet Explorer 5.
  • Saving icons without specifying a file extension in the filename could result in no saved file at all. This is solved in this version.
  • The animated icon player now also shows animated icons with only two frames.
Version 3.0
  • Optimized index reduces search times a 1000%.
  • Also saves the 256 and High Color correctly.
  • Extract icons and add references to these icons with your own keywords.
  • 4000 icons added which totals the amount of icons to 12.000.
  • Scrollbar to jump to a specific page.
  • MS Office like toolbar.
  • Change/create shortcut icons by drag & drop.
  • Links to e-mails and homepages are now Hotlinks.
  • Supports adding more IconBook icon libraries without the need to download the whole program.
Version 2.0
  • Translated from Dutch to English.
  • Transparency added again to all the icons.
  • Text index file to prevent the use of large obligatory Visual Basic database engine files to keep the IconBook downloads as small as possible.
  • Icons stored as bitmaps for personal use only
Version 1.0
  • Icons stored as bitmaps for personal use only.
  • Uses a database to store 3 keywords per icon.


Future Enhancements

Development of IconBook is on-going and there is always a list of new enhancements and features to be provided at some point. Currently 2Beesoft has planned the following enhancements;

Icon Editor
We think the IconCreator is all you need, but maybe an Icon Editor will be added to IconBook.

History list
A history list for whatever actions you performed to quickly jump back to any action.

Button bar
Fully customizable button bars.

Printing
Print the icons which are shown in the result window.

Feedback and suggestions are always welcome!


Hints and Tips

This overview is a summary of the ‘Tip of the Day’ when starting IconBook. The ‘Tip of the Day’ is also available through the Help Menu.

Tip 1; Change almost every Windows icon you see with IconBook. Icons which can be changed are Windows System icons (Drives, Files etc.), Program Shortcuts (Desktop, Start Menu), Cursors, File Type icons and Any Folder icon. De-installing IconBook will leave changed icons intact.

Tip 2; Select the Windows icon you want to change by selecting the appropriate node of the 'Your Icons' main node in the left pane. Right click the icon you want to change and select the Change menu option. All changed icons can be set back to their Windows default icon.

Tip 3; Change the icon of Any Folder by selecting an icon in IconBook, then select Tools, Change Any Folder Icon... from the IconBook main menu. Select the 'Groups by Design' node to see lots of folder icons which you can use.

Tip 4; Drag Shortcuts (*.lnk) from your Desktop or Windows Explorer onto an IconBook icon to change the Shortcut Icon or even drag & drop files/executables to create a shortcut to the dropped file. Hold the dragged shortcut a few seconds over the IconBook button in your system tray if IconBook is not visible.

Tip 5; Organize the icons you like most into the Favorite Folder. Add Favorite subfolders by selecting Favorites, Create Folder in the main menu. The Favorites folder resides in the IconBook program directory by default, but this can be adjusted by selecting View, Options, Favorites Tab.

Tip 6; Drag any icon from the right Results Pane and drop it on any Favorite Folder just below the 'Your Icons' node. The Favorites tree will auto-expand while hovering an icon over it if it contains subfolders.

Tip 7; Re-assign the Favorite tree to any folder you want (View, Options, Favorites tab). This is also a great way to scan folders for icons folder by folder.

Tip 8; Move Favorite icons by dragging them from the results window while holding down the Shift button when dropping a Favorite Icon on a Favorite Folder. Without holding the Shift button, Favorites will be copied.

Tip 9; When selecting a keyword you can also search for the keyword in your Favorites. Go to View, Option, Favorites tab and check the 'Also Search Favorites when Searching on Keywords' option.

Tip 10; Add a Favorite as a Reference icon to IconBook (References, Add...). This way you can describe a Favorite icon with multiple keywords. IconBook will find the Favorite as a Referenced icon if keywords match.

Tip 11; Please submit your best icons to IconBook. You could create a separate Favorite Folder in Favorites where you drop your favorite icons which IconBook doesn't have. Choose Favorites, Organize Favorites and ZIP and send this Favorite Folder to submit@2beesoft.mywb.nl.

Tip 12; Select View, Options, Favorites Tab and check the 'Also Search Favorites when Searching on Keywords' option to let IconBook also search for matching Favorite icons besides matching IconBook and Referenced Icons.

Tip 13; Add references to your icons to IconBook. First view your icons selecting File, Open by File or Open by Folder. After scanning of the selected icons click on an icon and select References, Add... Then select an appropriate keyword and icon type in the popup window and select Add.

Tip 14; Add your own keywords to IconBook. Use these keywords to describe your own (referenced) icons which you add to IconBook. Select References, Edit Custom Keywords from the IconBook main menu to add own keywords to IconBook.

Tip 15; You can also add references to Favorites to IconBook. This way it is possible to describe your favorite icons by multiple keywords for easy finding.

Tip 16; Define your own action when double clicking an icon (View, Options, Double Click Icon tab). This can be dependant on the icon type if you want.

Tip 17; Add IconBook to the 'Send Menu', available when right-clicking files and folders in the Windows Explorer (View, Shell Integration, Add to Send Menu). Now you can scan entire directories and icon libraries for icons, just by selecting them in the Windows Explorer and 'send' them to IconBook. Only one instance of IconBook will be started.

Tip 18; Associate icon libraries with IconBook, and IconBook will start and scan the file for icons when double-clicking the file in your Windows Explorer (View, Shell Integration, File Associations). The file type icons of ICO and CUR files are not replaced by the IconBook icon. Only one instance of IconBook will be started.

Tip 19; Create icons from graphic files you like. Open them or paste them from the clipboard into the IconCreator (Tools, IconCreator). Select the transparant color, or not, and save it as an icon or cursor. Create 32x32 pixels images and use the enhanced techniques of your favorite bitmap editor to create icons.

Tip 20; The keywords of icons are generally used to describe the contents of an icon, not the function where the icon stands for. I.e. ‘rainbow’ will give you all icons with a rainbow on them which generally are related to color settings icons.

Tip 21; To limit the amount of keywords, and therefore the IconBook startup time , some icons do not have a specific keyword which describes them. In most Tips these icons belong to a functional group. I.e. ‘kitchen’ will give you lots of icons which are related to a kitchen and contains household appliances.

Tip 22; To better understand the way IconBook uses keywords, it is advisable to have a look at all of the keywords of an IconBook icon. Popup the Properties window by selecting File, Properties from the main menu. At the bottom next to ‘keywords’ all keywords for the selected icon are shown.

Tip 23; If you don’t want to use your mouse to select a keyword from the keyword list, you can type the keyword and press {ALT}+{ARROW DOWN} or {ENTER}. If a matching keyword is not present, IconBook will select the first keyword in the list when {ALT}+{ARROW DOWN} is used and will not select any keyword if {ENTER} is used.

Tip 24; When View, Detail is selected in the right results pane, you can easily resize the columns to their contents by double-clicking on the column separator.

Tip 25; When View, Detail is selected in the right results pane, you can sort the columns by clicking on the appropriate column header.

Tip 26; A red light will be flashing in the page numbering status field (most right on the bottom status bar) to indicate multiple pages. Jump to any page by clicking on the page numbering status field and select the desired page, or select Go, To Page in the IconBook main menu.

Tip 27; By default IconBook will show 200 icons per page. If you experience memory problems while paging through the icons, you should set the 'Icons Per Page' option to a lower value. Select View, Options, General Tab and set the 'Icons Per Page' option to the desired value with the picklist.

Tip 28; When Copying icons to the clipboard, the transparency is replaced by the results pane background color. Define a different 'Mask color' by selecting View, Options, General Tab, uncheck the 'Use Result Pane Background Color option' and define a system- or custom color to act as the mask color.

Tip 29; With File, Open by Folder you scan your system for icons. When checking the 'Also search in ZIP Archives' option, IconBook will even scan ZIP files for icons. IconBook treats extracted icons as any other icon with the one exception that you can't make references to it. Extract icon libraries from the scanned ZIP archive with File, Extract from ZIP to... or choose File, Run... to open the archive.


registration

Register
Register online at Regnow Register online at RegisterNow with your credit card. RegNow uses a secure server and are register partners of www.download.com, www.winfiles.com and www.softseek.com. Just jump to the IconBook RegisterNow! page and fill in the details. You will receive a registration code within 2 working days by email for only $15.

IconBook is a shareware program and is provided at no charge to the user for evaluation. Feel free to share unlicensed copies with your friends, but please do not give it away altered or as part of another system. The essence of shareware software is to provide personal computer users with quality software without high prices, and yet to provide incentive for programmers to continue to develop new products.

If you find this program useful and find that you continue to use it after the trial period, you must make a registration payment (see below). This registration fee will license one copy for use on any one computer at any one time. All users will receive a registration key when they register, and free technical support for an unlimited period.

You are encouraged to pass a copy of this software along to your friends for evaluation, but you must include all files in the original distribution. Please encourage them to register their copy if they find that they make use of it.

If you have any questions, contact 2Beesoft by E-mail at;
support@2beesoft.com

Benefits of registration include a clear conscience, product life-time upgrades and priority email support.


Frequently Asked Questions

Why is 2Beesoft asking money for icons, aren’t they protected by copyright law?
2Beesoft is not aware of any copyright on icons. You can use the icons anyway you like, but some icons contain registered trademarks protected by law. The use of these icons is prohibited. Your small registration fee is NOT for the icons, but mainly for the keywords added to the icons, the special storage format which reduces disk usage and download-time by a 1000%, and programming IconBook. IconBook took 2,5 years of programming and icon collecting and IconBook is still developing.

Will de-installing IconBook delete all the customized system icons, shortcut icons, folder icons, file type icons and cursors?
No! IconBook stores all icons which are used to customize your system, shortcut and file type icons in your Windows folder in the Icons subfolder. De-installing IconBook will not remove this folder or any icon in it. This also causes the popup remark 'IconBook uninstaller could not remove all components' since the original favorites folder is created in the IconBook folder.

How can change a Shortcut icon?
Just drag the shortcut from your desktop or explorer window and drop it on an IconBook icon!

How can I find all of the keywords used for an IconBook icon?
Popup the properties window by selecting File, Properties from the main menu. At the bottom next to ‘keywords’ all keywords for the selected icon are shown.

Why do some icons look very strange?
You probably have a 256 color graphics mode selected and IconBook tries to show a High Color (true color, 24-bit) icon or a 256 color icon with lots of colors in it. Select the High Color color depth or better in your screen properties.

Why does the customized icon of a folder sometimes disappear?
Windows stores the changed folder icon information in the hidden file DESKTOP.INI in the folder itself. You should not remove this file or you will remove the customized icon. So be careful when emptying the folder.

How can I set the backcolor of an icon when saving as a JPEG (JPG) or bitmap (BMP) file?
IconBook will use the backcolor of the results window where all the icons are displayed. If you have set a mask color in Options, General tab, Mask Color, this color will be used as the background color as a replacement for the transparent color.

Why doesn't IconBook retrieve all icons from ZIP archives when scanning for icons in ZIP archives?
Some ZIP archives contain paths to files included in the zip archive. These are saved with a ZIP archive when the 'Save Extra Folder Info' in WinZip is selected. IconBook cannot retrieve icons in files which are saved with the 'Extra Folder Info' option.

If you have any question or suggestions, contact us by E-mail at;

support@2beesoft.com


Disclaimer

Software License
Please read the following lines carefully before using this software. If you disagree with any of the following, you are not allowed to use this program. You MUST then delete it immediately.

Shareware-version
You have the right to test this program for a period of one month. You are allowed to copy this Shareware-version (and ONLY the Shareware version) and give it to any other person, as long as it is not modified in any way. Under modifications is understood the changing, adding or removing of any files of this package without the author's written permission. You are NOT allowed to pack this program together with a commercial program or a book. Shareware dealers are not allowed to sell the Shareware version. You are encouraged to put this program on as many BBS systems as possible. The distribution on CD-ROM is also permitted, as long as the original files are not changed in any way. Please contact 2Beesoft if you want to distribute the program in any way.

Use of this software after the trial period of one month is in violation of international Copyright law! It is also unfair to the author, who has spent hundreds of hours developing this program.

Registration
This program is neither freeware nor public domain. Use after the 30 day trial period requires registration. The unregistered version has a time limitation and some other build in limitations. The registration fee is only $ 15,- for a personal license. See Register for details on registration.

The registered version may be installed on as many computers as desired, as long as it is ONLY running on one at any one time (I.e. one installation at home and one at the office used by the same person). The usage by multiple people or different company locations requires additional licenses.

Liability
2Beesoft tried to keep this software as bug-free as possible. Hours and hours of testing proceeded this release. But it's a general rule (Murphy's), that no software ever is error free, and the number of errors increases with the complexity of the program. That's why we cannot guarantee that this software will run in every environment, on any Windows compatible machine, together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In any case, the liability is limited to the registration fee.

Should you detect errors before registration, you accept them if you register. Any description of bugs will be accepted, but we cannot guarantee that we will be able to correct them.

Development
IconBook was written utilizing Visual Basic 6.0 SP3 (32 bit, © 1987-1999 by Microsoft).

2Beesoft
www.2beesoft.com


Support

2Beesoft
www.2beesoft.com

Support is available by email from support@2beesoft.com. Priority will be given to registered users, but all users will receive support.

Please be as specific as you can when reporting problems or errors. Please specify the actions which lead to the problem and your operating system.

Feedback and suggestions for IconBook are always welcome.


search icons

Search for Icons

There are two ways to search icons. With the keyword bar (like the address bar in the Internet Explorer) or with one of the preset searches at the left, functioning like a folder tree.

Keyword bar
A keyword describes the content of an icon, rather then the function. All icons matching the keyword will be shown in the results window. Select a keyword from the dropdown list with your mouse or type a keyword and press {ALT}+{ARROW DOWN} or {ENTER}. If the typed keyword is not present, the first keyword is select with {ALT}+{ARROW DOWN}. If no keyword is found with {ENTER}, nothing happens. IconBook can also search in your favorites folder for matching icon file names.

Preset search
A preset search, available in the left pane under the IconBook tree, will show all matching icons in the result window, regardless of the icons keywords. It can happen that an icon will be shown double if the type matches the preset search and the keyword is different.

Some preset searches may take a while to finish when there are a lot of icons to be found. Just press the Abort button to stop searching or press Esc.


Results

All icons which match a keyword or preset search are shown in the results list. In the status bar the total amount of icons is shown, and the selected page and amount of pages. IconBook will show 200 icons at a time by default. To change the amount of icons per page, select View, Options and set a new value for Icons per Page.

The 'All Icon Formats' section will show all icon formats in a selected icon when there are more then one. Copy, Save and Zoom actions can be performed on all shown icons.

The results list functions exactly like the file list in the Windows Explorer. When selecting the details view, the results can be sorted on Keyword, Icon type or Origin (IconBook, Reference, File) by clicking on the appropriate column header.

The backcolor of the results list can be modified by selecting View, Backcolor.

All the appropriate buttons and menus are set when clicking on an icon. The icon type is shown in the status bar.


Open Icon Libraries

IconBook can extract icons from ANI, CUR, DLL, EXE, ICO and ICL icon libraries when in 32*32 icon Size, and from DLL, EXE and ICO icon libraries when in 16*16 Icon Size. The icon libraries may be located on any removable, fixed and network drive. Even extract icons contained in ZIP archives. Extracted icons are treated the same way in the results list as the IconBook icons. You can add extracted icons to IconBook with your own keywords. Not the actual icon is added, but a reference to the icon. There are two procedures;

By File
  • Choose File, Open by File or the appropriate button submenu.
  • Use the file type dropdown list to show only the library types you want to see. Hold down {CTRL} or {SHIFT} to select multiple files in the Open dialog. If select a ZIP archive to open, IconBook will retrieve icons from all available icon library types contained in the ZIP archive.
By Folder
  • Choose File, Open by Folder or the appropriate button submenu.
  • Extracting icons by Folder enables you to scan all the subfolders and/or only scan the icon library types you want to be scanned by setting a filter with the appropriate check boxes.
  • You can also select folders across networks.
  • Use Options to associate IconBook with Icon Libraries to open files by double-clicking.
  • Drop multiple files from the Explorer onto the IconBook shortcut on your Desktop and IconBook starts and opens the dropped files.
  • IconBook can even scan for icons in libraries which are contained in ZIP archives. Just check the 'Scan in ZIP archives' option.

When an extracted icon is clicked, the 'All Icon Formats' window will show all icon formats in an icon.


Add Icons to IconBook

Add Reference Delete Reference Edit Refernce Keywords Extracted icons can be added to IconBook. Actually, not the icon is added, but a reference to the icon. Choose References, Add or the appropriate button to add icons.

A window appears where you must give a keyword and an icon type. IconBook will select the correct icon type if possible. If not, choose the icon type and Choose Add to add the icon or Cancel to stop.

To add your own keywords to IconBook choose References, Edit Custom Keywords.

All the icons of ANI files must be added to IconBook, in the correct playing order. Make sure you specify the same icon type and keyword when adding ANI icons.

Each Icon Size had it's own Reference section and custom keyword list.

Do not rename Folders or Icon libraries if you have added References to icon(s) contained by them. These references become invalid and will show the ‘No Icon’ if they are retrieved.

A alternate way to add icons is to make use of the Favorites feature of IconBook.

Icons retrieved from icon libraries in ZIP archives can't be referenced. Please unzip them from the archive first.


Edit Reference Keywords

Choose References, Edit Custom Keywords or the appropriate button. Type the new keyword and choose Add. IconBook will check for doublers with its own keywords and your previously added custom keywords.

Select a custom keyword from the list and select Delete to delete a custom keyword. It is possible to delete custom keywords while there are references made with this keyword. These references will become invalid.

All changes are immediately submitted to IconBook.

Each Icon Size had it's own custom keywords list.


copy to the clipboard

Copy to Clipboard

Every icon you see in the results list can be copied to the clipboard. The icon is copied to the clipboard as a bitmap, where the transparency of the icon is replaced by the defined mask color of by the backcolor of the results window.

The backcolor of the results list can be modified by selecting View, Backcolor. The usage and used mask color can be set by selecting View, Options, General tab at the Copy to Clipboard Maskcolor section.


Save Icons

When saving icons from icon libraries (DLL, EXE, ICL) you can define the color depth of the icon yourself. If you are not sure what color depth to use, you could use the Zoom function (Tools menu) to see what colors are used. If you are still not sure, just choose ‘Hi-color’.

When saving animated icons (ANI), an option is available where you can save all the icons of the animated icon as separate icons. A number corresponding to the frame number is added automatically to the filename when saving the icons.

If you save a cursor, IconBook will ask you to define the hotspot of a cursor (i.e. the hotspot of the standard mouse pointer is the top of the arrow). A window pops up with the icon 10 times enlarged. Just click on the region which should act as the hotspot.

When saving as a bitmap (BMP) or JPEG (JPG), IconBook will replace the transparency color with the background color of the window part where the icon is displayed. If you have set a mask color in Options, General Tab, the transparency color is replaced by the defined mask color.

When saving as a CompuServe GIF file, the icon transparency will be retained and the GIF file will also be transparent. The GIF file format only supports 256 colors. If the icon is a high color icon IconBook will perform a optimization to reduce the colors to 256. The appearance of the saved file depends on the amount of unique colors in the source icon. Many colors may result in poor GIF file quality.

The 'All Icon Formats' section has a additional Save option called Save All Formats As. This option saves all icon formats of a selected icon in one ICO file.


Change Windows Icons

With IconBook you can almost change every Windows icon. Icons which can be changed are;

  • System icons; Desktop, Start Menu, Drives, Folders and Files.
  • Program Shortcut icons; shortcut icons from your Desktop or any icon from the Start Menu shortcuts.
  • Cursors; all cursors in the current used cursor set.
  • File Type icons; the icon shown when a specific file type is associated with an application.
  • Any Folder icon; the icon of any Folder.

Procedure
Select the icon you want to change by selecting the appropriate node below the ‘Your Icons’ node, except when changing folder icons. Select the icon you want to change and select File, Change in the main menu of the corresponding button in the button bar. A window will popup with in the left frame the icon to change. Drop any icon from IconBook within the right ‘New’ frame and select File, Apply from the Change... window menu.

The new icon is saved in your Windows folder in the Icons subfolder. The icon filename is a unique number, only used by a specific shortcut, file type, folder, cursor or system icon. Do not delete it or use it for other purposes. IconBook will replace the icon file with a new iconfile with the same number when you change the icon settings which is related to the file. Uninstalling IconBook will not delete this folder or any icons in it, to preserve the icon integrity of your system.

System Icons
Select the ‘System’ node and select the desired group. Change the icon according to the above Procedure. Changing system icons requires a rebuild of the windows icon cache, IconBook will prompt you to do so. IconBook contains equivalents of system icons. View these by selecting View, Look-a-Likes from the Change System Icon window menu. System Icons can be set to there default icon by selecting View, Windows Default. Then choose File, Apply

Program Shortcut icons
Select the ‘Program Shortcut’ node and select the desired group. Change the icon according to the above Procedure. Changing shortcut icons requires a rebuild of the windows icon cache if the current shortcut icon is an IconBook icon, IconBook will prompt you to do so. Shortcut icons can be set to their default icon by selecting View, Windows Default. The default icon of a shortcut will be the first icon in the executable of the application where the shortcut points to.

You can also drag shortcuts them from your desktop or the Windows Explorer onto an IconBook icon. If the dropped file is not a shortcut file (*.lnk), IconBook will prompt you to create a new shortcut with the selected icon. Select a location where to save the new shortcut. You can also drag folders to create shortcuts to folders.

Hold the dragged shortcut a few seconds over the IconBook button in your system tray if IconBook is not visible. This will bring IconBook to the front so you can drop the dragged Shortcut onto the IconBook icon.

Cursors
Select the ‘Cursors’ node and select ‘Current’ node. Change the icon according to the above Procedure. IconBook will prompt you to point out the hotspot of the cursor. ANI’s are also supported. Only one icon of the ANI will be shown however. Changing cursors requires at least a re-logon or restart, IconBook will prompt you to do so. Cursors can be set to their default cursor by selecting View, Windows Default. Cursors are updated after a complete Windows restart.

File Type icons
Select the ‘File Type Icons’ node. Change the icon according to the above Procedure. Changing File Type icons requires a restart of Windows, IconBook will prompt you to do so. File Type icons can be set to their default icon by selecting View, Windows Default. Some File Types may point to the same icon registry setting. Changing the icon of one of the File Type will change the icon of all related File Types. File type icons are updated after a complete Windows restart.

Any Folder Icon
You must have Windows 98/2000 or Internet Explorer 4 or higher to change the icon of any folder. Select Tools, Change Any Folder in the main menu. Browse to the desired Folder and select OK. Changing Folder icons requires a rebuild of the windows icon cache. Folder icons can be set to their default icon by selecting Tools, Set Any Folder Icon to Default in the main menu. Since Windows stores the changed folder icon information in the hidden file DESKTOP.INI in the folder itself, you should not remove this file or you will remove the customized icon. IconBook will store the new icon (folder.ico) also as a hidden file in the changed folder. You can also change folders on remote computers.


Play Animated Icons

If a selected icon is an animated icon you can view the playing icons by selecting File, Play or the appropriate button.

Select sequential play (left radio button) to start with the first icon when reaching the last icon. Select the right radio button to play the icon back and forth.

With the slider you can adjust the animation speed. The performance is influenced by your video graphics card speed.

You can set the backcolor of the animated icon by right clicking the icon.

Animated icons retrieved from ZIP archives cannot be played. Please unzip them from the ZIP archive first.


IconCreator

The IconCreator is a very simple but powerful tool to create Icons or Cursors in the standard icon sizes 16x16, 32x32, 24x24, 32x32, 48x48 and 72x72 (a custom format will be supported in the next version). Create new icons or cursors from scratch in your favorite picture editor, open exciting picture files or paste pictures from the clipboard.

Create from scratch

  • Create a new picture in your favorite picture editor (i.e. Paint Shop Pro) with the desired pixel size and with the desired color depth. Choose a background color you will not use in the actual icon. This color will become transparent in the created icon. Save it as a GIF, JPG, BMP or copy it to the clipboard.
  • Start the IconCreator by selecting Tools, IconCreator from the IconBook main menu. Open the previously saved graphic file or paste it from the clipboard.
  • Click on the left icon on the color which you want to be transparent. The right icon will show the result. Don’t click on the left icon if you don’t use transparency.
  • Save the icon as an icon or cursor in the desired color depth. If you save it as a cursor, IconBook will ask you to define the hotspot of a cursor (i.e. the hotspot of the standard mouse pointer is the top of the arrow). A window pops up with the icon 10 times enlarged. Just click on the pixel which should act as the hotspot.


Edit With...

The Edit With option lets you startup your favorite Icon Editor and load the icon you selected in IconBook.

Specify the external Icon Editor by selecting Options from the main menu, select the Double Click Icon tab and select a icon editor executable next to the Edit With option.

IconBook will save the selected icon in an icon file in your temporary directory. IconBook will save the icon in the appropriate color depth if the color depth is recognized by IconBook. If no color depth is known, the icon is saved in the highest color depth, True Color. This is frequently the case with icons from icon libraries such as ICL’s or DLL’s.

Some icon editors do not support Hi-color icons, or even 256 color icons. Opening these icons with external icon editors could result in errors.


Zoom

To check out the structure of an icon, or the colors used in the icon, the selected icon can be zoomed. Learn from the used techniques when creating your own icons.

Selecting the Zoom button on the button bar, or selecting zoom in the context sensitive menu when right clicking an icon, will use the magnification selected at the zoom option of the User Defined Double Click Action, even if the double click option is not selected.


Properties

IconBook will show the standard Windows Properties Dialog whenever possible. For IconBook icons all the keywords of that icon are displayed under keywords of the IconBook Properties Dialog.


Drag & Drop

Change/Create Shortcut Icons by drag & drop.

Retrieve icons by dropping (network) folders and/or files from the Windows Explorer onto the white area of the right results pane of IconBook. You can even drop ZIP archives to retrieve icons contained by the ZIP archive. Don’t drop them on an icon, or IconBook will prompt you to create shortcuts to the dropped folders and file(s). If IconBook is minimized or hidden behind other windows, you can bring IconBook to the front by hovering the selection from the Windows Explorer above the IconBook button present in the system tray for a few seconds.

Retrieve icons by dropping (network) folders and/or files from the Windows Explorer onto the IconBook Shortcut on your Desktop.

Create Favorites fast by dragging any icon from the IconBook results pane onto the Favorite nodes in the left pane. The tree will auto-expand while hovering over the Favorite Folders.


Shell Integration

With the shell integration you can integrate IconBook with your operating system. By default, none of these shell extensions are activated. Activate shell extensions by selecting View, Options and the Shell Extensions tab.

Available options are Send To Menu, File Associations and Add Shortcut to Desktop.


User Defined Double Click Action

By selecting View, Options and the Double Click Icon tab, you can define an action which will be performed when double clicking an icon in the right results pane.

Normal Action
The checked action will be performed when double clicking an icon. These actions are applicable for all icon types. Exceptions are listed in the Priority Actions below.

Priority over Normal Action
If Checked and if the icon type of the double clicked icon matches the icon type mentioned in the priority action, the priority action will be performed, instead of the ‘Normal Action’.

The Zoom value will be also be used when selecting Zoom in the context sensitive menu of an icon, and when selecting the zoom button in the buttonbar, even if the action is not selected.

The double click action will appear bold in the context sensitive menu when right clicking an icon.


Options

The Options window, accessible through View Options, consists of four tabs:

  • General with Hot Tracking, Icons per Page, Copy to Clipboard Mask Color and Windows Restart Reminder and Icon Cache Rebuild Reminder
  • Shell Integration with Send To Menu, File Associations and Add Shortcut to Desktop.
  • Double Click Icon for user defined double click action
  • Favorites with customizable Favorites Folder and the Also Search Favorites when Searching on Keywords option.


Hot Tracking

Hot Tracking will select an icon in the result window when you hover a few seconds over an icon in the IconBook results pane. The mouse cursor will change to a hand.


Icons per Page

If you do not have enough system resources available when viewing 200 icons at a time, you must view less icons per page. Select i.e. 150 or 100.


Mask Color

With View, Options, General tab, you can define the color used to replace the icon transparency. Use the Results Pane Background Color option to use this color or select a custom or Windows system color.

The Mask Color is used to replace the transparency in one of the following actions:

  • copying an icon to the clipboard
  • saving icons as a bitmap or JPEG file

Each Icon Size remembers it's own mask color setting.


Restart Reminders

The Windows Restart Reminder appears after changing Cursors and File Type icons. If the checkbox is grayed, the reminder for the cursor or file type icon is active. Unchecking and checking applies to the reminders of both the cursor and file type icon.


Rebuild Reminders

The Rebuild Windows Icon Cache Reminder appears when changing shortcut, system and folder icons. If the checkbox is grayed, the reminder for one or two of the three icon changes is active. Unchecking and checking applies to all three shortcut, system and file type reminders. If you have disabled the reminders and changed icons(s), you will still be reminded of rebuilding the Windows Icon Cache when exiting IconBook if you did not rebuild the Windows Icon Cache after changing icons. You can rebuild the Windows Icon Cache at any time through Tools, Rebuild Icon Cache in the IconBook main menu.


Add to Send to Menu

When checked IconBook will be added to the ‘Send To’ menu, visible when right clicking on files and folders in Windows Explorer. The ‘Send To’ menu may have a different name if you are not using UK versions of Windows.

This is a very powerful feature. Select multiple (network) folders and/or files and ‘send’ them to IconBook. IconBook will be started, if not already started, and will retrieve any icons present in the selected folders and/or files. Only one instance of IconBook will be started.

Unchecking this option will remove IconBook from the ‘Send To’ menu.


Associate IconBook with Icon Libraries

Associate icon libraries with IconBook and open single icon libraries by double clicking on them in the Windows Explorer. The icons of the ANI, ICO and CUR libraries will still be visible in the Windows Explorer, they are not replaced by the IconBook file icon. The ICL and DLL file icon will be changed to the IconBook icon after restarting your computer.


Add Desktop Icon

Clicking this button will create a shortcut to IconBook on your Windows Desktop. See Shell extensions for more information.


Favorites Folder

Select the folder which holds your Favorite Icons. By default this is the Favorites subfolder in the IconBook program folder. After applying the new folder, IconBook will fill the Favorites tree at the bottom of left window with all of the folders and subfolders of the newly selected Favorites folder. The previously selected Favorites folder will not be deleted, it will stay intact.

By checking the Also Search Favorites when Searching on Keywords option IconBook will search for favorites names which match the selected keyword when you search for icons.

This option is only available in the 32*32 Icon Size.


Search Favorites

By checking the Also Search Favorites when Searching on Keywords option IconBook will search for favorites names which match the selected keyword when you search for icons. Any occurrence of the selected keyword in the favorite filename counts as a hit, i.e. 'table1' and 'Table 2' will count as a hit for the keyword 'table'.


Icon Resources

IconBook uses a base icon resource files and several later added icon resource files, called IconUpdates. The keywords describing all icons in all available IconUpdates and base resource file is contained in the IconBook index file for each Icon Size. It is necessary to have all icon resources present used in the index file or the ‘No Icon’ will appear.

Check your icon resources by choosing Help, About and choosing the Icon Resources tab. The base resource file must be present and the IconUpdates must have consecutive numbers.

New IconUpdates with the latest index files are available for download at the IconBook Homepage .


Special Thanks

2Beesoft whishes to thank the following people for their programming and icon contribution. People who received a registration for sending icons are not mentioned here.

We especially want to thank Chirstian Studer. Without Christian you would not have been able to save the icons, cursors and ANI icons. He programmed a DLL from C++ code to use in VB.

America
Donald A. Herman
 | for his help on how to read ANI files and tips on programming. Donald also programmed a nice program called Anidesk to view Animated icons and place them on your desktop.
Dierk
 | for his incredible large animated icon collection; http://www.anicursor.com. Far too many to add to IconBook
David Russel
 | for his help on how to change the icons of shortcuts
Mat Wunch
 | for his icon collection
Tim Anstine
 | for nice homemade 256 color icons; http://socrates.berkeley.edu/~dta95/icons/icons.htm
David Paul
 | for his 256 color icons
Austria
Hagen Wieshofer
for his programming help on how to read icons from libraries. Hagen also programmed a nice (shareware) Icon Editor called Icon Edit Pro.
Czecheslowakian Republic
Peter G.
for his large contribution of Simpsons icons and High Color icons (group Simpsons).
Netherlands
Hans Loonen
 | for his large contribution of nice 256 Color icons(i.e. group artwork).
Jan Voorbij
 | for 256 color icons
Henk Nieuwenampsen
 | for 256 color icons
Lampy
 | for his large icon collection
Manon
 | for her icon collection send from Italy
Ronald Brijer
 | for his astrology icons
New Zealand
Chris Taylor
for his very large icon collection
Republic of South Africa
Ian Urquhart
for his complete collection of homemade flags (select flag).

And other people who didn't mention their name while sending in their icons and/or supported IconBook by registering.

2Beesoft is not aware of any copyright on icons. You can use the icons anyway you like, but some icons contain registered trademarks protected by law. The use of these icons is prohibited. Your registration fee is NOT for the icons, but for the keywords added to the icons, and programming IconBook.

Do YOU want to be in this list? Just E-mail your best icons in a zip file to;

submit@2beesoft.com. Please check if IconBook already has the icons you are sending.


Select Navigation Tree Node

The selected Node of the Navigation Tree in the left pane will expand upon selection when this option is activated. Other expanded nodes will collapse. This way a minimum of tree length is achieved, preventing scrolling through the tree if you have a lot of nodes expanded. Clicking the [image] box will still expand all the nodes.


incompatability issues

Incompatibility Issues

In version 3.0 a reference to an animated icon (ANI) was stored by adding only one reference to one of the icons of the animated icon to IconBook. To reduce errors while removing such a reference, this procedure has been changed. All icons of an animated icon should now be added to IconBook in the correct order with the same keyword and icon type. So if you want to add a 256-color animated icon which consist of 3 icons under the keyword ‘Folder’, you should add all three in the correct order with the same 256 color animated icon type and with the same keyword ‘Folder’.

If you install IconBook 4.xx over your 3.0 version, IconBook will not read the referenced icons from IconBook 3.0 correctly.

Before installing IconBook 4 you can open the Iconuser.dat file (in the IconBook program folder) in Notepad and cut an animated icon reference (search for ‘ani’) to the clipboard and paste it in a word processor. Save the altered Iconuser.dat file and print the references to the ANI’s from your word processor. Open the ANI’s in IconBook and add them manually as described above to IconBook 4 after installation.


Favorites

Edit Favorites with Windows Explorer Refresh Favorites Add to Favoites Delete Favorite With Favorites you can organize your favorite icons into folders. The Filename of the saved icon is the Favorite Name. IconBook will fill the Favorites tree right below ‘Your Icons’ with all of the folders and subfolders of the selected Favorites folder. Favorites are only possible with the 32*32 Icon Size.

Organize the folders and favorite icons from within IconBook or with your Windows Explorer or equivalent program. Add, move, delete or rename folders and icon file names with the Windows Explorer. Use the Favorites, Refresh menu option if you have made changes to the Favorites folder structure. You can also organize folders and icons files while adding a favorite to IconBook. Just use the standard commands available when the Add to Favorites dialog is opened after selecting the Favorites, Add to Favorites menu option.

By selecting View, Options, General Tab, you can define a Custom Favorites Folder. By default the Favorites folder is the IconBook program folder. Selecting a new Favorites folder will not delete any folders or icons from the previous Favorites folder.

Drag any icon from the IconBook results pane onto a Favorite folder in the left tree. The tree will auto-expand when hovering over the Favorite folders. Dropping the icon will save the icon as a Favorite in the selected folder without the Save As dialog. The Favorite Name will be the icon Name from IconBook. If this name already exists, IconBook will prompt you for another name.

The menu option Favorites, Delete Favorite will remove the favorite icon file from your hard disk! The menu option Favorites, Remove Favorite Group will delete the entire selected folder from your hard disk, with all the icons and subgroups in it!!!

Do not rename Favorites or Favorite Folders if you have added References to these Favorites. These references become invalid and will show the ‘No Icon’ it they are retrieved.